OreAnnouncer - Collects data about mined blocks 2.7.2

A simple plugin for minecraft servers to collect data about ore diggers

  1. AlessioDP
    Tested Minecraft Versions:
    • 1.8
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    • 1.13
    • 1.14
    • 1.15
    • 1.16
    Source Code:
    https://github.com/AlessioDP/OreAnnouncer
    Languages Supported:
    French, German, Italian, Polish, Russian, Spanish, Ukrainian
    [​IMG]
    A simple plugin for minecraft servers to collect data about ore diggers

    This plugin collects data about mined blocks (can be set with any block).
    You can send an alert to users/admins or just store every block they destroy to easily track x-ray players.

    Read more about OreAnnouncer here!

    [​IMG]
    [​IMG]

    [​IMG]
    [​IMG]
    [​IMG]

    Warning: LastLoginAPI is required to handle offline players!

    [​IMG]
    Documentation of OreAnnouncer
    How to add/edit a block

    Commands reference
    Full permissions list
    Full changelogs
    How to report a bug
    FAQ

    Feel free to translate OreAnnouncer for your language! OreAnnouncer translations.
    You can find the source code here and API for developers here.



    [​IMG]
    • Send an alert whenever a player digs a block
      • Choose to send it to users/admins/console
      • Custom sound for each block
      • Custom message for each block
    • Alerts based on how many blocks has been found in X time
    • Show top players
    • Show block logs
      • Filter by player
      • Filter by block
    • Auto execute commands
      • On block destroy/found
      • Player and console commands are supported
    • TNT mining
    • Make a JSON alert to perform commands on click
    • Show or obfuscate coordinates of the mined block
    • You can choose any block you want
    • Light-control system
    • Placeholders system
      • PlaceholdersAPI support
      • EssentialsChat support
    • Log system
    • Support for DiscordSRV
      • Choose between text and embed messages
      • Messages completely customizable
    • Support for custom blocks
    • Plugins ItemMods and MMOItems supported
    • Support for HEX colors of MC 1.16+ (&#ff0000)
    • Supports offline players (LastLoginAPI required)

    [​IMG]
    • JSON messages supported
    • Asynchronous to avoid server lag
    • Statistics system (bStats)
    • API for developers
    • Databases supported: H2, MySQL and SQLite

    [​IMG]
    OreAnnouncer uses /oa command. You can change it from config.yml.
    Full list of commands here.

    Before start to use OreAnnouncer you should setup permissions, you can find the full permissions list here.


    [​IMG]
    Are you looking for help? You can find me on my own Discord server or directly send me a private message on Spigot!

    Frequently Asked Questions
    Join my Discord


    [​IMG]
    OreAnnouncer offers a great documentation to help you to configure it. There you can find everything that you are looking for.
    These are some examples:

    How can I install OreAnnouncer on Spigot/Bukkit/BungeeCord?
    Download some translations

    API for developers

    [​IMG]
    GUI extension (edit blocks via GUI menus)
    [​IMG]


    [​IMG] [​IMG]
    [​IMG]
    [​IMG]



    Don't write about your problems into the reviews, you can easily contact me via Discord, private message, email or discussion!

Recent Reviews

  1. LautaKooh
    LautaKooh
    5/5,
    Version: 2.7.2
    El mejor plugin, solo a esperar el soporte a java 16..........................................
    1. AlessioDP
      Author's Response
      Thank you, Java 16 is supported ;)
  2. MatiPoirier
    MatiPoirier
    5/5,
    Version: 2.7.2
    pelase update to java 16 s
    1. AlessioDP
      Author's Response
      Thank you for the review. I am working on it ;)
  3. SirCaerus
    SirCaerus
    5/5,
    Version: 2.7.2
    Very useful plugin, has helped a lot on small servers I've run when catching pesky x-rayers. However, I have noticed this plugin doesn't seem to be working with Java 16 when tested, which 1.17 will be switching to but is already available for use with 1.16 on PebbleHost, which is what we use to host our servers. Hopefully this is all fixed by the time 1.17 (eventually) releases, but isn't a big issue while everything is still running on Java 8/11. Thanks for the great plugin!
    1. AlessioDP
      Author's Response
      Thank you for the review, unfortunately right now the Java 17 support is not possible at all. I am waiting for Spigot API changes or a different way to load libraries ;)
  4. 13bathz
    13bathz
    5/5,
    Version: 2.7.2
    Amazing Support Such A Chill Guy told him about a sql error in the new version and the fix is on its way what quality
    1. AlessioDP
      Author's Response
      Thank you :)
  5. PyroDemon
    PyroDemon
    5/5,
    Version: 2.7.2
    Awesome plugin, I have caught many x-rayers with this plugin. I'm even using it on my bungee network!
    1. AlessioDP
      Author's Response
      Thank you :)
  6. seriosbrad
    seriosbrad
    5/5,
    Version: 2.7.2
    Replaced an older similar plugin I've been using for years, thank you!

    Would it be possible to announce the amount of ores that would be found when taking into account using a Pick with the Fortune enchantment?
    1. AlessioDP
      Author's Response
      Thank you :)
      Not yet, I added it into my to do list ;)
  7. Gonisgone
    Gonisgone
    5/5,
    Version: 2.7.2
    It's a great plugin!!!!!!!!!! I've been using it well since plugin version 1.5. I admire your steady and creative updates. Sorry for the late to express gratitude. It can be awkward for me to translate Korean into English and write a review . Please understand. Oh, this plugin works fine on spigot 1.16.3.
    1. AlessioDP
      Author's Response
      Thank you! :)
  8. LMRig
    LMRig
    5/5,
    Version: 2.7.2
    Works nicely on 1.16.3. Using it for a long time without any issues, easy setup and configuration, a lot of options, and great support.
    1. AlessioDP
      Author's Response
      Thank you so much :)
  9. zonprox
    zonprox
    5/5,
    Version: 2.6.2
    Good plugin, but please support 1.16 version (Netherite Ingot)
    Thank you so much!
    1. AlessioDP
      Author's Response
  10. mrbubbyg
    mrbubbyg
    2/5,
    Version: 2.5.5
    This does not work for me as of 1.16.1. I launch the game and I have enabled alerts but there is no alerts that show up. This is not a user error. I have already looked in depth.
    1. AlessioDP
      Author's Response
      I sent you a pm more than a week ago but you do not reply :(

      The plugin already works for 1.16. Take a look to FAQs.